package main

import (
	"fmt"
	"io/ioutil"
	"os"
)

// ExampleIoutil
func main() {
	//path := "/etc/hosts"
	path := "a.txt"

	// 打开文件
	file, err := os.Open(path)
	// 结束时关闭文件
	defer file.Close()
	if err != nil {
		fmt.Println(err.Error())
		return
	} else {
		// 读文件
		fmt.Printf("%T\n", file)

		bs, err := ioutil.ReadAll(file)
		if err != nil {
			fmt.Printf(err.Error())
			return
		} else {
			fmt.Print(string(bs))
		}
	}

	// 一次读取所有文件 ioutil.ReadFile
	bs, err := ioutil.ReadFile(path)
	if err != nil {
		fmt.Printf(err.Error())
		return
	}
	fmt.Println(string(bs))

	// 一次写文件 ioutil.WriteFile
	err = ioutil.WriteFile(path, []byte("hello ioutil"), os.ModePerm)
	if err != nil {
		fmt.Println(err.Error())
		return
	}
}
